Loading...
Searching...
No Matches
etl::mutex Class Reference

This mutex class is implemented using CMSIS's RTOS2 mutexes. More...

`#include <mutex_cmsis_os2.h>`

## Public Member Functions

void | lock ()
bool | try_lock ()
void | unlock ()
void | lock ()
bool | try_lock ()
void | unlock ()
void | lock ()
bool | try_lock ()
void | unlock ()
void | lock ()
bool | try_lock ()
void | unlock ()

## Detailed Description

This mutex class is implemented using CMSIS's RTOS2 mutexes.

This mutex class is implemented using ThreadX's mutexes.

This mutex class is implemented using GCC's __sync functions.

This mutex class is implemented using FreeRTOS's mutexes.

The documentation for this class was generated from the following files:

- include/etl/mutex/mutex_cmsis_os2.h
- include/etl/mutex/mutex_freertos.h
- include/etl/mutex/mutex_gcc_sync.h
- include/etl/mutex/mutex_threadx.h